Skip to main content

POST v3/inboundPackingSlips

POST 

/v3/inboundPackingSlips

Announce goods that are on their way to a Paxon warehouse.

Using this endpoint it is possible to create a new inboundPackingSlip for an inbound that is to be expected in one of the warehouses of Paxon. Note that an inboundPackingSlip and its related inboundPackingSlipItems can be created in one invocation by making use of the included relationship as shown in the example request body.

Limitations of POST /v3/inboundPackingSlips​

  • Each inboundPackingSlip must have a unique reference not used before.
  • Each sku must be of a product that exists prior to creating the inboundPackingSlip.
  • Each sku can occur only once on an inboundPackingSlip, adding multiple inboundPackingSlipItems for the same sku will result in a single inboundPackingSlipItem with the sum of the quantities.
  • The quantity must be 1 or larger.
  • The warehouseCode provided in the expectedIn must exist and must be a valid warehouse to receive goods in. (For more information contact your account manager).

Request​

Responses​

Upon successful creation of the inboundPackingSlip in the systems, the endpoint returns the inboundPackingSlip with all the IDs set to the assigned values.